Search documentation of wx

# View Source wxFindReplaceData (wx v2.4.2)

Functions for wxFindReplaceData class

`wxFindReplaceData` holds the data for `wxFindReplaceDialog`.

It is used to initialize the dialog with the default values and will keep the last values from the dialog when it is closed. It is also updated each time a `wxFindDialogEvent` (not implemented in wx) is generated so instead of using the `wxFindDialogEvent` (not implemented in wx) methods you can also directly query this object.

Note that all `SetXXX()` methods may only be called before showing the dialog and calling them has no effect later.

wxWidgets docs: wxFindReplaceData

# Summary

## Types

wxFindReplaceData()

## Functions

destroy(This)

Destroys the object.

getFindString(This)

Get the string to find.

getFlags(This)

Get the combination of `wxFindReplaceFlags` values.

getReplaceString(This)

Get the replacement string.

new()
new(Options)

Constructor initializes the flags to default value (0).

setFindString(This, Str)

Set the string to find (used as initial value by the dialog).

setFlags(This, Flags)

Set the flags to use to initialize the controls of the dialog.

setReplaceString(This, Str)

Set the replacement string (used as initial value by the dialog).

# Types

Link to this type

# wxFindReplaceData()

View Source

    -type wxFindReplaceData() :: wx:wx_object().

# Functions

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxFindReplaceData()) -> ok.

Destroys the object.

Link to this function

# getFindString(This)

View Source

    -spec getFindString(This) -> unicode:charlist() when This :: wxFindReplaceData().

Get the string to find.

Link to this function

# getFlags(This)

View Source

    -spec getFlags(This) -> integer() when This :: wxFindReplaceData().

Get the combination of `wxFindReplaceFlags` values.

Link to this function

# getReplaceString(This)

View Source

    -spec getReplaceString(This) -> unicode:charlist() when This :: wxFindReplaceData().

Get the replacement string.

Link to this function

# new()

View Source

    -spec new() -> wxFindReplaceData().

Link to this function

# new(Options)

View Source

    -spec new([Option]) -> wxFindReplaceData() when Option :: {flags, integer()}.

Constructor initializes the flags to default value (0).

Link to this function

# setFindString(This, Str)

View Source

    -spec setFindString(This, Str) -> ok when This :: wxFindReplaceData(), Str :: unicode:chardata().

Set the string to find (used as initial value by the dialog).

Link to this function

# setFlags(This, Flags)

View Source

    -spec setFlags(This, Flags) -> ok when This :: wxFindReplaceData(), Flags :: integer().

Set the flags to use to initialize the controls of the dialog.

Link to this function

# setReplaceString(This, Str)

View Source

    -spec setReplaceString(This, Str) -> ok when This :: wxFindReplaceData(), Str :: unicode:chardata().

Set the replacement string (used as initial value by the dialog).